/*
 * PKCS #11 FIPS Power-Up Self Test.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef FIPS_H
#define FIPS_H

#include "hasht.h"
#include "secerr.h"

#define IN_FIPS_RETURN(rv) \
    do { \
	if (FIPS_mode()) { \
	    PORT_SetError(SEC_ERROR_INVALID_ALGORITHM); \
	    return rv; \
	} \
    } while (0)

int	FIPS_mode(void);
char*	FIPS_rngDev(void);
PRBool	FIPS_hashAlgApproved(HASH_HashType hashAlg);

#endif

